/// Database contract
///
/// @author Pierre HUBERT

/// Main information
class DatabaseContract {
  static const DATABASE_VERSION = 1;
  static const DATABASE_FILE_NAME = "database.sqlite";
}

/// Base table contract
abstract class BaseTableContract {
  static const C_ID = "id";
}

/// User table contract
abstract class UserTableContract {
  static const TABLE_NAME = "users";
  static const C_ID = BaseTableContract.C_ID;
  static const C_FIRST_NAME = "first_name";
  static const C_LAST_NAME = "last_name";
  static const C_VISIBILITY  = "visibility";
  static const C_VIRTUAL_DIRECTORY = "virtual_directory";
  static const C_ACCOUNT_IMAGE_URL = "account_image_url";
}